import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDnsMxRecordSetConfig extends cdktf.TerraformMetaArguments {
    /**
    * Domain to look up.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/dns/3.3.0/docs/data-sources/mx_record_set#domain DataDnsMxRecordSet#domain}
    */
    readonly domain: string;
}
export interface DataDnsMxRecordSetMx {
}
export declare function dataDnsMxRecordSetMxToTerraform(struct?: DataDnsMxRecordSetMx): any;
export declare class DataDnsMxRecordSetMxOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DataDnsMxRecordSetMx | undefined;
    set internalValue(value: DataDnsMxRecordSetMx | undefined);
    get exchange(): string;
    get preference(): number;
}
export declare class DataDnsMxRecordSetMxList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DataDnsMxRecordSetMxOutputReference;
}
/**
* Represents a {@link https://registry.terraform.io/providers/hashicorp/dns/3.3.0/docs/data-sources/mx_record_set dns_mx_record_set}
*/
export declare class DataDnsMxRecordSet extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "dns_mx_record_set";
    /**
    * Create a new {@link https://registry.terraform.io/providers/hashicorp/dns/3.3.0/docs/data-sources/mx_record_set dns_mx_record_set} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDnsMxRecordSetConfig
    */
    constructor(scope: Construct, id: string, config: DataDnsMxRecordSetConfig);
    private _domain?;
    get domain(): string;
    set domain(value: string);
    get domainInput(): string | undefined;
    get id(): string;
    private _mx;
    get mx(): DataDnsMxRecordSetMxList;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
